GrailsEclipseConsole (Grails 6.0.0)

Package: grails.build.logging

## [Java] Class GrailsEclipseConsole

- grails.build.logging.GrailsEclipseConsole

-     public class GrailsEclipseConsole
      extends GrailsConsole

  This class is meant to keep changes made in support of Eclipse separate from the standard GrailsConsole implementation.

  It is activated by setting system property "grails.console.class" to the fully qualified name of this class.

  Having the changes in a class triggered by system property also leaves open the option to have Eclipse provide a different version of the class at runtime, to allow for further customisation to support not yet anticipated needs.

  Authors:
    Kris De Volder
  Since:
    2.0.0.M2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static boolean` | `DEBUG` |
    `private static java.lang.String` | `ECLIPSE_SUPPORTS_ANSI_PROP` |
    `private java.lang.Boolean` | `eclipseSupportsAnsi` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsConsole` | `CATEGORY_SEPARATOR, ENABLE_INTERACTIVE, ENABLE_TERMINAL, ERROR, HISTORYFILE, LINE_SEPARATOR, PROMPT, SECURE_MASK_CHAR, SPACE, STACKTRACE_FILTERED_MESSAGE, STACKTRACE_MESSAGE, WARNING, ansiEnabled, appendCalled, category, cursorMove, defaultInputMask, err, history, indicator, instance, lastMessage, lastStatus, maxIndicatorString, originalSystemErr, originalSystemOut, out, progressIndicatorActive, reader, shutdownHookThread, stacktrace, terminal, userInputActive, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsEclipseConsole ()` Create a GrailsConsole that has some customizations to work better with STS.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.io.OutputStream` | `ansiWrap(java.io.OutputStream out)`
    `` | `private static java.lang.Boolean` | `boolProp(java.lang.String propName)`
    `` | `protected jline.Terminal` | `createTerminal()`
    `` | `private boolean` | `eclipseSupportsAnsi()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsConsole` | `addShutdownHook, addStatus, ansiPrompt, ansiWrap, append, assertAllowInput, assertAllowInput, beforeShutdown, bindSystemOutAndErr, cleanlyExit, createConsoleReader, createInstance, createQuestion, createTerminal, doUserInput, echoStatus, erasePreviousLine, erasePrompt, error, error, error, error, flush, getCategory, getDefaultInputMask, getErr, getInput, getInstance, getLastMessage, getOut, getReader, getTerminal, indicateProgress, indicateProgress, indicateProgress, indicateProgressPercentage, info, initialize, isActivateTerminal, isAnsiEnabled, isInteractiveEnabled, isStacktrace, isVerbose, isWindows, log, logSimpleError, moveDownToSkipPrompt, outputCategory, outputErrorLabel, outputMessage, persistHistory, postPrintMessage, prepareHistory, printStackTrace, readLine, readPropOrTrue, redirectSystemOutAndErr, reinitialize, removeInstance, removeShutdownHook, resetCompleters, restoreOriginalSystemOutAndErr, restoreTerminal, run, secureUserInput, setAnsiEnabled, setDefaultInputMask, setErr, setInstance, setLastMessage, setOut, setStacktrace, setVerbose, showPrompt, showPrompt, toString, unwrapPrintStream, updateStatus, userInput, userInput, userInput, verbose, verifySystemOut, warn, warning, wrapInPrintStream`

- - ### Field Detail

    - #### private static final boolean DEBUG

    - #### private static final java.lang.String ECLIPSE_SUPPORTS_ANSI_PROP

    - #### private java.lang.Boolean eclipseSupportsAnsi

  - ### Constructor Detail

    - #### public GrailsEclipseConsole()

      Create a GrailsConsole that has some customizations to work better with STS. Note that this console implicitly captures and redirects System.out, System.err and System.in in the super class. So extreme care must be taken to ensure these streams are setup correctly before creating an instance.

  - ### Method Detail

    - #### @java.lang.Override protected java.io.OutputStream ansiWrap(java.io.OutputStream out)

    - #### private static java.lang.Boolean boolProp(java.lang.String propName)

    - #### @java.lang.Override protected jline.Terminal createTerminal()

    - #### private boolean eclipseSupportsAnsi()